Subject: Re: [PATCH net-next v2 1/2] r8152: Add support for 5Gbit Link Speeds and EEE

From: Simon Horman <[email-masked]>
Date: Fri, 20 Mar 2026 08:28:35 +0000

On Fri, Mar 20, 2026 at 06:29:20AM +0100, Birger Koblitz wrote:
> Hi Simon, thanks a lot for reviewing this patch!

...

> > Is the UPS power management configuration incorrect for 5Gbit link speeds
> > without a case for NWAY_5000M_FULL in r8156_ups_flags()?
> The out-of-tree driver also does not set any flags in USB_UPS_FLAGS in the
> 5000M case. Maybe this is an oversight in that driver, but according to my
> tests, the power management works. In any case, I would not be able to guess
> the correct register value with any confidence for the NWAY_5000M_FULL case:
> the bits are different from the speed bits in PLA_PHYSTATUS. The RTL8157
> also has other differences in USB power management compared to previous
> generations, such as introducing register USB_U2P3_V2_CTRL. So, to the best
> of my knowledge, the proposed patch is correct.

Thanks for the clarification.

Perhaps someone can provide insight here. But in lieu of that
I agree with your approach.

> 
> > 
> > This path is activated by the next commit in the series (58ba3b6c476d
> > 'r8152: Add support for the RTL8157 hardware') which sets
> > support_5000full = 1.
> > 
> > [ ... ]
>